<?php
/**
 *
 * @author Peter Csubak (chuby)
 * @copyright Peter Csubak (chuby)
 */

/**
 * Ajax alapú kapcsolat esetén kihelyezhető események osztálya. 
 *
 */
class AjaxExportableEvent extends Event implements ExportableEvent{

	private $sendTo;
	public $content;
	public $_type;
	public $elementId;
	
	/** @XmlSchema */
	public $ajax = "<event><content>content</content><type>_type</type><eid>elementId</eid></event>";
	
	/**
	 * 
	 * @param PComponent $pComponent
	 */
	public function __construct($pComponent, $type = "change"){
		if ($pComponent instanceof PComponent){
			$this->sendTo = $pComponent->getBindedTo();
			$this->content = $pComponent."";
			$this->_type = $type;
			if ($type == "refresh"){
				$this->elementId = $pComponent->getId();
			}else{
				$this->elementId = "";
			}
		}else{
			throw new AjaxException("Hibás ajax esemény küldés: Az eseményben megadott tartalom nem PComponent típusú.", null, 902);
		}
	}
	
	public function getSendTo(){
		return $this->sendTo;
	}
	
}
?>